Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.instance
Class RuleFlowProcessInstance

    java.lang.Object
      org.jbpm.process.instance.impl.ProcessInstanceImpl
          org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl
              org.jbpm.ruleflow.instance.RuleFlowProcessInstance

All Implemented Interfaces:
  Serializable, ContextableInstance, ContextInstanceContainer, EventListener, NodeInstanceContainer, ProcessInstance, WorkflowProcessInstance

    public class RuleFlowProcessInstance

extends WorkflowProcessInstanceImpl

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kie.api.runtime.process.ProcessInstance
`STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

Constructor Summary
`RuleFlowProcessInstance()`

Method Summary
`RuleFlowProcess` | `getRuleFlowProcess()`
`void` | `internalStart(String trigger)`

Methods inherited from class org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl
`addCompletedNodeId, addEventListener, addNodeInstance, disconnect, getActiveNodeIds, getCompletedNodeIds, getCurrentLevel, getEventTypes, getFirstNodeInstance, getIterationLevels, getLevelForNode, getNodeContainer, getNodeInstance, getNodeInstance, getNodeInstanceCounter, getNodeInstances, getNodeInstances, getNodeInstances, getVariable, getVariables, getWorkflowProcess, internalSetNodeInstanceCounter, isPersisted, nodeInstanceCompleted, reconnect, removeEventListener, removeNodeInstance, setCurrentLevel, setPersisted, setState, setState, setVariable, signalEvent, start, start, toString`

Methods inherited from class org.jbpm.process.instance.impl.ProcessInstanceImpl
`addContextInstance, getAgenda, getContextContainer, getContextInstance, getContextInstance, getContextInstance, getContextInstances, getDescription, getId, getKnowledgeRuntime, getMetaData, getOutcome, getParentProcessInstanceId, getProcess, getProcessId, getProcessName, getProcessXml, getState, internalSetState, removeContextInstance, setContextInstance, setDescription, setId, setKnowledgeRuntime, setMetaData, setOutcome, setParentProcessInstanceId, setProcess, setProcessId, setProcessXml, updateProcess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jbpm.process.instance.ProcessInstance
`getKnowledgeRuntime, getMetaData, getOutcome, getParentProcessInstanceId, getProcess, setId, setKnowledgeRuntime, setParentProcessInstanceId, setProcess`

Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer
`addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

Methods inherited from interface org.jbpm.process.instance.ContextableInstance
`getContextInstance`

Methods inherited from interface org.kie.api.runtime.process.ProcessInstance
`getId, getProcessId, getProcessName, getState`

Methods inherited from interface org.jbpm.workflow.instance.NodeInstanceContainer
`getState`

Constructor Detail

### RuleFlowProcessInstance

    public RuleFlowProcessInstance()

Method Detail

### getRuleFlowProcess

    public RuleFlowProcess getRuleFlowProcess()

### internalStart

    public void internalStart(String trigger)

  Specified by:
    `internalStart` in class `ProcessInstanceImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.